package view;

import java.util.Scanner;

import static entities.dto.Login.UserLogin;

//用户日常使用
public class CommonUse {
    public void use(int chose) {
        switch (chose) {
            case 0 -> System.exit(0);
            case 1 -> CreateIndent();
        }


    }

    //TODO 这个部分和 Login 有点重合，代码可以重构一下
    public static void CreateIndent() {
        Scanner reader = new Scanner(System.in);
        Long userID = null;
        System.out.println("请输入你的ID:");
        //异常处理
        try {
            userID = reader.nextLong();
        } catch (Exception e) {
            System.out.println("你输入的ID不正确!\n你想退出吗？(Y/n)");
            reader = new Scanner(System.in);
            String s = reader.next();
            if (s.equals("Y")) {
                System.exit(0);
            } else {
                CreateIndent();
            }

        }
        while (true) {
            //密码判断
            boolean flag = UserLogin(userID);
            if (flag) {
                IndentView iv = new IndentView();
                iv.CreateIndent(userID);
                break;
            } else {
                System.out.println("你输入的密码不正确~\n你想退出吗？(Y/n)");
                reader = new Scanner(System.in);
                String s = reader.next();
                if (s.equals("Y")) {
                    System.exit(0);
                }
            }
        }

    }
}

